import * as $dara from '@darabonba/typescript';
import { ListFileProtectRuleResponseBody } from "./ListFileProtectRuleResponseBody";
export declare class ListFileProtectRuleResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: ListFileProtectRuleResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
